karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (JIRA) <j...@apache.org>
Subject [jira] [Commented] (KARAF-2601) Support Java 6 and Java 7
Date Thu, 05 Dec 2013 15:02:35 GMT

    [ https://issues.apache.org/jira/browse/KARAF-2601?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13840138#comment-13840138
] 

Jean-Baptiste Onofré commented on KARAF-2601:
---------------------------------------------

Second test:
- Build with JDK 1.6.0 (without the tests): OK
- Build with JDK 1.6.0 (with the tests):
- Execution (bin/karaf) with JDK 1.7.0: OK
- Execution (bin/karaf) with JDK 1.6.0: OK

> Support Java 6 and Java 7
> -------------------------
>
>                 Key: KARAF-2601
>                 URL: https://issues.apache.org/jira/browse/KARAF-2601
>             Project: Karaf
>          Issue Type: Bug
>          Components: karaf-core
>            Reporter: Jean-Baptiste Onofré
>            Assignee: Jean-Baptiste Onofré
>            Priority: Blocker
>             Fix For: 3.0.0
>
>
> For "transition" purpose, Karaf 3.0.0 has to support Java 6 and Java 7.
> If Java 7 works without problem (for both build and runtime), it's not the case with
Java 6 (especially with new sshd version).
> I gonna review and validate this.



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message